<% /*
     $Revision$
     $Id$

    File:           artikelgroepFilter.inc
    Description:    functies voor artikelgroep suggest velden
    Globals:
    Context:
    Note:
*/ %>


<%

function getFiltClauseArtikelgroep(pfiltcode, params)
{
  var lfiltClause = "";

  if (params.disc_key && params.disc_key != -1) // parent gegeven
  {
    lfiltClause += " AND bsg.ins_discipline_key = " + params.disc_key;
  }

  if (pfiltcode && pfiltcode != "")
  {
    switch(pfiltcode)
    {
      case 'S': // NOT USED YET: Artikelgroepen waarbij je alleen uit de eigen artikelgroep mag bestellen (die singlegroep gezet hebben)
                lfiltClause = " AND bsg.ins_discipline_key IN (SELECT dp.bes_disc_params_singlegroep FROM bes_disc_params dp)";
                break;
    }
  }
  // Alleen groepen met actuele artikelen.
  // Als de selector ooit voor maninfo gebruikt gaat worden dan moet dit mogelijk iets verzacht worden.
  lfiltClause += " AND bes_srtgroep_key IN"
               + "   (SELECT bes_srtgroep_key"
               + "      FROM bes_srtdeel"
               + "     WHERE bes_srtdeel_verwijder IS NULL"
               + "       AND (bes_srtdeel_vervaldatum IS NULL"
               + "        OR bes_srtdeel_vervaldatum > SYSDATE))";

  return lfiltClause;
}

function getExtraInfArtikelgroep(pextracode)
{
  var lExtraInf = ", 'Extra' extra";
  if (pextracode && pextracode != "")
  {
    switch(pextracode)
    {
      case 'S': lExtraInf = ", (SELECT dp.bes_disc_params_singlegroep FROM bes_disc_params dp WHERE dp.bes_ins_discipline_key = bsg.ins_discipline_key) extra";
                break;
    }
  }
  return lExtraInf;
}
%>
